Subject: Re: [Roll] Barry Leiba's Discuss on draft-ietf-roll-mpl-parameter-configuration-06: (with DISCUSS and COMMENT)

From: Yusuke DOI <[email-masked]>
Date: Wed, 02 Sep 2015 16:02:31 +0900

Dear Barry,

I updated the document with the discussions. Sorry for late update.
(I missed some nit so I'll update -08 soon)

On 2015-07-09 11:18, Barry Leiba wrote:
>
> That does correct the apparent contradiction, but it doesn't answer
> one question I had, which seems to leave things uncertain:  Where the
> text says, "A node SHOULD leave an MPL domain if it receives an
> updated MPL Parameter Configuration Option without a configuration for
> the MPL domain, unless it has overriding manual configuration on the
> MPL domain," it's important to note that this still means that if you
> *don't* have an overriding manual configuration on the domain, you
> still SHOULD (not MUST) leave the domain.  That still means that you
> could choose not to leave the domain.  Is that OK?
>
> In other words:
>
> 1. You receive an updated MPL PCO without a config for the MPL domain.
>
> 1a. You *do* have an overriding manual configuration on the domain.
> What are your choices?  I think you mean to say that your choices are
> to stay on the domain or to leave it, at your option.

In this case, the node should remain. I think the case is clear.

> 1b. You *don't* have an overriding manual configuration on the domain.
> What are your choices?  I don't know whether you mean to say that you
> MUST leave the domain in this case, or whether there might be other
> reasons you might choose to stay, and the SHOULD is appropriate.

My first thought was SHOULD is strong enough. I understand 'MUST leave' 
is clearer.

Thanks for kind comments,

Yusuke